/* 

LBMix - A mixer for IOCTL90 API by Lesha Bogdanow
Copyright (C) 1999-2000  Lesha Bogdanow

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "LR2VB.h"

// Left/Right to Volume/Balance conversion and visa versa

int LR2V(int L, int R) {
   if (L>R) return L;
   else return R;
   }
int LR2B(int L, int R) {
   int v;
   v=LR2V(L,R);
   if (!v) return 50;
   return (100+(100*(L-R))/LR2V(L,R))/2;
   }
int VB2L(int V, int B) {
   if (B>=50) return V;
   else return V-(V*(100-B*2))/100;;
   }
int VB2R(int V, int B) {
   if (B<=50) return V;
   else return V-(V*(B*2-100))/100;;
   }

